package com.kmall.api.service.mk;

import com.kmall.api.dao.mk.ApiStoreTopicMapper;
import com.kmall.api.entity.mk.StoreTopicVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * 门店活动表Service实现类
 *
 * @author huangyq
 * @email admin@qhdswl.com
 * @date 2019-04-26 16:50:46
 */
@Service
public class ApiStoreTopicService {
    @Autowired
    private ApiStoreTopicMapper apiStoreTopicMapper;

    public StoreTopicVo queryObject(Integer id) {
        return apiStoreTopicMapper.queryObject(id);
    }

    public List<StoreTopicVo> queryList(Map<String, Object> map) {
        return apiStoreTopicMapper.queryList(map);
    }

    public int queryTotal(Map<String, Object> map) {
        return apiStoreTopicMapper.queryTotal(map);
    }
}
